summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakub Moc <jakub@gentoo.org>2007-03-24 16:20:04 +0000
committerJakub Moc <jakub@gentoo.org>2007-03-24 16:20:04 +0000
commit01ffcf8320c0964ae70b51038b99ea25f04d2119 (patch)
treedf83693a5b20f6473c66e07598a9b724c974af78 /app-antivirus/clamtk/clamtk-2.30-r1.ebuild
parentapp-antivirus/clamtk: Nuke old, add missing dependency (diff)
downloadsunrise-01ffcf8320c0964ae70b51038b99ea25f04d2119.tar.gz
sunrise-01ffcf8320c0964ae70b51038b99ea25f04d2119.tar.bz2
sunrise-01ffcf8320c0964ae70b51038b99ea25f04d2119.zip
app-antivirus/clamtk: Add KDE integration
svn path=/sunrise/; revision=3278
Diffstat (limited to 'app-antivirus/clamtk/clamtk-2.30-r1.ebuild')
-rw-r--r--app-antivirus/clamtk/clamtk-2.30-r1.ebuild63
1 files changed, 63 insertions, 0 deletions
diff --git a/app-antivirus/clamtk/clamtk-2.30-r1.ebuild b/app-antivirus/clamtk/clamtk-2.30-r1.ebuild
new file mode 100644
index 000000000..a95faeff8
--- /dev/null
+++ b/app-antivirus/clamtk/clamtk-2.30-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="A frontend for ClamAV using Gtk2-perl."
+HOMEPAGE="http://clamtk.sourceforge.net/"
+
+CLAMTK_KDEVER="0.05"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
+ kde? ( mirror://sourceforge/${PN}/${PN}-kde-${CLAMTK_KDEVER}.tar.gz )"
+
+LICENSE="Artistic GPL-2"
+SLOT="0"
+KEYWORDS="~x86"
+
+LANGS="cs da de es fr it pl pt_BR ru zh_CN"
+IUSE="nls kde"
+for i in ${LANGS}; do
+ IUSE="${IUSE} linguas_${i}"
+done
+
+DEPEND=""
+RDEPEND="dev-perl/gtk2-perl
+ dev-perl/File-Find-Rule
+ dev-perl/libwww-perl
+ dev-perl/Date-Calc
+ app-antivirus/clamav
+ nls? ( dev-perl/Locale-gettext )
+ kde? ( || ( kde-base/konqueror kde-base/kdebase ) )"
+
+
+src_install() {
+ dobin clamtk
+
+ doicon ${PN}.png
+ domenu ${PN}.desktop
+
+ dodoc CHANGES DISCLAIMER README
+ doman ${PN}.1.gz
+
+ if use nls ; then
+ cd po/
+ mv cs_CZ.mo cs.mo
+ for n in *.mo ; do
+ if use linguas_${n/.mo} ; then
+ insinto /usr/share/locale/${n/.mo}/LC_MESSAGES
+ newins ${n} ${PN}.mo
+ fi
+ done
+ fi
+
+ if use kde ; then
+ cd ${WORKDIR}/${PN}-kde-${CLAMTK_KDEVER}
+ doicon ${PN}-kde.xpm
+ doman ${PN}-kde.1.gz
+ docinto KDE
+ dodoc CHANGES README
+ insinto /usr/share/apps/konqueror/servicemenus
+ doins ${PN}-kde.desktop
+ fi
+}